### Method

# Pango AttrList filter

#### Declaration [src]

    PangoAttrList*
    pango_attr_list_filter (
      PangoAttrList* list,
      PangoAttrFilterFunc func,
      gpointer data
    )

#### Description [src]

Given a `PangoAttrList` and callback function, removes any elements of `list` for which `func` returns `TRUE` and inserts them into a new list.

Available since: | 1.2

#### Parameters

`func` | `PangoAttrFilterFunc`
| Callback function; returns `TRUE` if an attribute should be filtered out.
`data` | `gpointer`
| Data to be passed to `func`.

#### Return value

Returns: | `PangoAttrList`
| The new `PangoAttrList` or `NULL` if no attributes of the given types were found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.